## `spring:escapeBody`

### org.springframework.web.servlet.tags.EscapeBodyTag

`spring:escapeBody (since 1.1.1)`
General information

Custom JSP tag to escape its enclosed body content, applying HTML escaping and/or JavaScript escaping.

Provides a "htmlEscape" property for explicitly specifying whether to apply HTML escaping. If not set, a page-level default (e.g. from the HtmlEscapeTag) or an application-wide default (the "defaultHtmlEscape" context-param in web.xml) is used.

Provides a "javaScriptEscape" property for specifying whether to apply JavaScript escaping. Can be combined with HTML escaping or used standalone.

Attributes
htmlEscape
Set HTML escaping for this tag, as boolean value. Overrides the default HTML escaping setting for the current page.
required: no
el-support: yes
javaScriptEscape
Set JavaScript escaping for this tag, as boolean value. Default is false.
required: no
el-support: yes
Variables
none
Also have a look at
the `spring:htmlEscape` tag, which allows you to set the default HTML escape value for the current page